"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const resize_observer_polyfill_1 = require("resize-observer-polyfill");
const zeroBounds = new DOMRect();
exports.default = (cb) => {
    const [el, setEl] = (0, react_1.useState)(null);
    const [bounds, setBounds] = (0, react_1.useState)(zeroBounds);
    (0, react_1.useEffect)(() => {
        if (!el)
            return;
        const resizeObserver = new resize_observer_polyfill_1.default(() => {
            const bounds = el.getBoundingClientRect();
            cb === null || cb === void 0 ? void 0 : cb(bounds);
            setBounds(bounds);
        });
        resizeObserver.observe(el);
        return () => {
            resizeObserver.disconnect();
        };
    }, [el]);
    return [setEl, bounds];
};
